Dots
Date: 2019-10-22

org.jmol.shapespecial

## Class Dots

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.AtomShape
    - - org.jmol.shapespecial.Dots

- Direct Known Subclasses:
    GeoSurface

      public class Dots
      extends AtomShape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.BS` | `bsIgnore`
    `(package private) javajs.util.BS` | `bsOn`
    `private javajs.util.BS` | `bsSelected`
    `EnvelopeCalculation` | `ec`
    `boolean` | `isSurface`
    `static int` | `MAX_LEVEL`
    `(package private) RadiusData` | `rdLast`
    `(package private) static float` | `SURFACE_DISTANCE_FOR_CALCULATION`
    `(package private) int` | `thisArgb`
    `(package private) int` | `thisAtom`
    `(package private) float` | `thisRadius`

    - ### Fields inherited from class org.jmol.shape.AtomShape

      `ac, atoms, bsSizeDefault, colixes, isActive, mad, mads, monomerCount, paletteIDs`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dots()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getShapeState()`
    `int` | `getSize(int atomIndex)` overridden in Dots, CGOMesh, and AtomShape
    `(package private) void` | `initialize()`
    `void` | `initShape()`
    `void` | `setAtomClickability()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`
    `protected void` | `setSizeRD(RadiusData rd, javajs.util.BS bsSelected)`

    - ### Methods inherited from class org.jmol.shape.AtomShape

      `checkColixLength, getInfoAsString, initModelSet, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD2`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setPropS, setShapeSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ec

          public EnvelopeCalculation ec

    - #### isSurface

          public boolean isSurface

    - #### SURFACE_DISTANCE_FOR_CALCULATION

          static final float SURFACE_DISTANCE_FOR_CALCULATION

      See Also:
        Constant Field Values

    - #### bsOn

          javajs.util.BS bsOn

    - #### bsSelected

          private javajs.util.BS bsSelected

    - #### bsIgnore

          private javajs.util.BS bsIgnore

    - #### MAX_LEVEL

          public static int MAX_LEVEL

    - #### thisAtom

          int thisAtom

    - #### thisRadius

          float thisRadius

    - #### thisArgb

          int thisArgb

    - #### rdLast

          RadiusData rdLast

  - ### Constructor Detail

    - #### Dots

          public Dots()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `AtomShape`

    - #### getSize

          public int getSize(int atomIndex)

      Description copied from class: `Shape`
      overridden in Dots, CGOMesh, and AtomShape
      Overrides:
        `getSize` in class `AtomShape`
      Returns:
        size

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Specified by:
        `setProperty` in class `Shape`

    - #### initialize

          void initialize()

    - #### setSizeRD

          protected void setSizeRD(RadiusData rd,
                                   javajs.util.BS bsSelected)

      Overrides:
        `setSizeRD` in class `AtomShape`

    - #### setAtomClickability

          public void setAtomClickability()

      Overrides:
        `setAtomClickability` in class `AtomShape`

    - #### getShapeState

          public java.lang.String getShapeState()

      Overrides:
        `getShapeState` in class `AtomShape`